Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.config
Class EmptyConfiguration

    java.lang.Object
      net.jini.config.AbstractConfiguration
          net.jini.config.EmptyConfiguration

All Implemented Interfaces:
  Configuration

public class EmptyConfiguration
extends AbstractConfiguration

A `Configuration` with no entries. Applications can use an instance of this class to simplify handling cases where no configuration is specified rather than, for example, checking for a `null` configuration.

Since:
  2.0
Implementation Specifics:
  This implementation uses the `Logger` named `net.jini.config` to log information at the following logging levels:

  `net.jini.config`
  Level | Description
  --- | ---
  `FAILED` | problems getting entries, including getting entries that are not found
  `FINE` | returning default values

Nested Class Summary

Nested classes inherited from class net.jini.config.AbstractConfiguration
`AbstractConfiguration.Primitive`

Field Summary
`static EmptyConfiguration` | `INSTANCE` A `Configuration` with no entries.

Fields inherited from interface net.jini.config.Configuration
`NO_DATA, NO_DEFAULT`

Method Summary
`protected Object` | `getEntryInternal(String component, String name, Class type, Object data)` Always throws an exception -- this configuration contains no entries.

Methods inherited from class net.jini.config.AbstractConfiguration
`getEntry, getEntry, getEntry, validIdentifier, validQualifiedIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final EmptyConfiguration INSTANCE

  A `Configuration` with no entries.

Method Detail

### getEntryInternal

    protected Object getEntryInternal(String component,
                                      String name,
                                      Class type,
                                      Object data)
                               throws NoSuchEntryException

  Always throws an exception -- this configuration contains no entries.

  Specified by:
    `getEntryInternal` in class `AbstractConfiguration`
  Parameters:
    `component` - the component being configured
    `name` - the name of the entry for the component
    `type` - the type of object requested
    `data` - an object to use when computing the value of the entry, or `Configuration.NO_DATA` to specify no data
  Returns:
    an object created using the information in the entry matching `component` and `name`, and using the value of `data` (unless it is `NO_DATA`)
  Throws:
    `NullPointerException` - if `component`, `name`, or `type` is `null`
    `NoSuchEntryException` - unless `component`, `name`, or `type` is `null`
  See Also:
    `Configuration.getEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved